/*
*  RAL -- Rubrica Addressbook Library
*  file: abook_csv.h
*  
*  Copyright (C) Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _RUBRICA_ABOOK_CSV_H
#define _RUBRICA_ABOOK_CSV_H

#include <glib.h>
#include <glib-object.h>

#include "abook.h"


#define RUBRICA_ABOOK_CSV_TYPE           (rubrica_abook_csv_get_type())

#define RUBRICA_ABOOK_CSV(obj)           (G_TYPE_CHECK_INSTANCE_CAST((obj), \
                                          RUBRICA_ABOOK_CSV_TYPE,           \
                                          RubricaAbookCsv))

#define RUBRICA_ABOOK_CSV_CLASS(klass)   (G_TYPE_CHECK_CLASS_CAST((klass),  \
                                          RUBRICA_ABOOK_CSV_TYPE,           \
                                          RubricaAbookCsvClass))

#define IS_RUBRICA_ABOOK_CSV(obj)        (G_TYPE_CHECK_INSTANCE_TYPE((obj), \
                                          RUBRICA_ABOOK_CSV_TYPE))

#define IS_RUBRICA_ABOOK_CSV_CLASS(kls)  (G_TYPE_CHECK_CLASS_TYPE((kls),    \
                                          RUBRICA_ABOOK_CSV_TYPE))

#define RUBRICA_ABOOK_CSV_GET_CLASS(kls) (G_TYPE_INSTANCE_GET_CLASS((kls), \
                                          RUBRICA_ABOOK_CSV_TYPE,          \
                                          RubricaAbookCsvClass))



typedef struct _RubricaAbookCsv        RubricaAbookCsv;
typedef struct _RubricaAbookCsvClass   RubricaAbookCsvClass;
typedef struct _RubricaAbookCsvPrivate RubricaAbookCsvPrivate;


               
struct _RubricaAbookCsv 
{
  RubricaAbook parent;

  RubricaAbookCsvPrivate* private;
};



struct _RubricaAbookCsvClass
{
  RubricaAbookClass parent;  
};


GType            rubrica_abook_csv_get_type (void);


/*    Public
*/

RubricaAbookCsv* rubrica_abook_csv_new  (void);
void             rubrica_abook_csv_free (RubricaAbookCsv* csv);


#endif
