/*
*  RAL -- Rubrica Addressbook Library
*  file: abook_vcard.h
*  
*  Copyright (C) Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _RUBRICA_ABOOK_VCARD_H
#define _RUBRICA_ABOOK_VCARD_H

#include <glib.h>
#include <glib-object.h>

#include "abook.h"


#define RUBRICA_ABOOK_VCARD_TYPE           (rubrica_abook_vcard_get_type())

#define RUBRICA_ABOOK_VCARD(obj)           (G_TYPE_CHECK_INSTANCE_CAST((obj), \
                                            RUBRICA_ABOOK_VCARD_TYPE,         \
                                            RubricaAbookVCard))

#define RUBRICA_ABOOK_VCARD_CLASS(klass)   (G_TYPE_CHECK_CLASS_CAST((klass),  \
                                            RUBRICA_ABOOK_VCARD_TYPE,         \
                                            RubricaAbookVCardClass))

#define IS_RUBRICA_ABOOK_VCARD(obj)        (G_TYPE_CHECK_INSTANCE_TYPE((obj), \
                                            RUBRICA_ABOOK_VCARD_TYPE))

#define IS_RUBRICA_ABOOK_VCARD_CLASS(kls)  (G_TYPE_CHECK_CLASS_TYPE((kls),    \
                                            RUBRICA_ABOOK_VCARD_TYPE))

#define RUBRICA_ABOOK_VCARD_GET_CLASS(kls) (G_TYPE_INSTANCE_GET_CLASS((kls),  \
                                            RUBRICA_ABOOK_VCARD_TYPE,         \
                                            RubricaAbookVCardClass))



typedef struct _RubricaAbookVCard        RubricaAbookVCard;
typedef struct _RubricaAbookVCardClass   RubricaAbookVCardClass;
typedef struct _RubricaAbookVCardPrivate RubricaAbookVCardPrivate;


               
struct _RubricaAbookVCard 
{
  RubricaAbook parent;

  RubricaAbookVCardPrivate* private;
};



struct _RubricaAbookVCardClass
{
  RubricaAbookClass parent;  
};


GType              rubrica_abook_vcard_get_type (void);


/*    Public
*/

RubricaAbookVCard* rubrica_abook_vcard_new  (void);
void               rubrica_abook_vcard_free (RubricaAbookVCard* vcard);


#endif
