/*
*  RAL -- Rubrica Addressbook Library
*  file: contact.h
*  
*  Copyright (C) Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _RUBRICA_CONTACT_H
#define _RUBRICA_CONTACT_H

#include <glib.h>
#include <glib-object.h>

#include "utils.h"
#include "date.h" 


#define RUBRICA_CONTACT_TYPE            (rubrica_contact_get_type())

#define RUBRICA_CONTACT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj),  \
                                         RUBRICA_CONTACT_TYPE,              \
                                         RubricaContact))

#define RUBRICA_CONTACT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),   \
                                         RUBRICA_CONTACT_TYPE,              \
                                         RubricaContactClass))

#define IS_RUBRICA_CONTACT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj),  \
                                         RUBRICA_CONTACT_TYPE))

#define IS_RUBRICA_CONTACT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),   \
                                         RUBRICA_CONTACT_TYPE))

#define RUBRICA_CONTACT_GET_CLASS(klass) (G_TYPE_INSTANCE_GET_CLASS((klass), \
                                          RUBRICA_CONTACT_TYPE,              \
                                          RubricaContactClass))



typedef struct _RubricaContact        RubricaContact;
typedef struct _RubricaContactClass   RubricaContactClass;
typedef struct _RubricaContactPrivate RubricaContactPrivate;


/* Contact contact data 
*/
struct _RubricaContact
{
  GObject parent;

  RubricaContactPrivate* private;
};


struct _RubricaContactClass {
  GObjectClass parent;
};


GType rubrica_contact_get_type       (void);


RubricaContact* rubrica_contact_new  (void);
void            rubrica_contact_free (RubricaContact* contact);

RubricaContact* rubrica_contact_copy (RubricaContact* contact);

void rubrica_contact_set_birthday    (RubricaContact* contact, gint day,
				      gint month, gint year);

gchar* rubrica_contact_get_birth_day   (RubricaContact* contact);
gchar* rubrica_contact_get_birth_month (RubricaContact* contact);
gchar* rubrica_contact_get_birth_year  (RubricaContact* contact);
gchar* rubrica_contact_get_birthdate   (RubricaContact* contact);





#endif
