/*
*  RAL -- Rubrica Addressbook Library
*  file: groups.h
*  
*  Copyright (C) Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _RUBRICA_GROUPS_SET_H
#define _RUBRICA_GROUPS_SET_H

#include <glib.h>
#include <glib-object.h>

#include "utils.h"
#include "group.h"


#define RUBRICA_GROUP_TYPE           (rubrica_group_get_type())

#define RUBRICA_GROUP(obj)           (G_TYPE_CHECK_INSTANCE_CAST((obj),  \
                                      RUBRICA_GROUP_TYPE,                \
                                      RubricaGroup))

#define RUBRICA_GROUP_CLASS(klass)   (G_TYPE_CHECK_CLASS_CAST((klass),   \
                                      RUBRICA_GROUP_TYPE,                \
                                      RubricaGroupClass))

#define IS_RUBRICA_GROUP(obj)        (G_TYPE_CHECK_INSTANCE_TYPE((obj),  \
                                      RUBRICA_GROUP_TYPE))

#define IS_RUBRICA_GROUP_CLASS(kls)  (G_TYPE_CHECK_CLASS_TYPE((kls),     \
                                      RUBRICA_GROUP_TYPE))

#define RUBRICA_GROUP_GET_CLASS(kls) (G_TYPE_INSTANCE_GET_CLASS((kls),   \
				      RUBRICA_GROUP_TYPE, \
                                      RubricaGroupClass))



typedef struct _RubricaGroup        RubricaGroup;
typedef struct _RubricaGroupClass   RubricaGroupClass;
typedef struct _RubricaGroupPrivate RubricaGroupPrivate;


struct _RubricaGroup {
  GObject parent;
  
  RubricaGroupPrivate* private;  
};


struct _RubricaGroupClass {
  GObjectClass parent;
};



GType         rubrica_group_get_type  (void);


RubricaGroup* rubrica_group_new  (void);
void          rubrica_group_free (RubricaGroup* group);
RubricaGroup* rubrica_group_copy (RubricaGroup* group);


gboolean rubrica_group_rename        (RubricaGroup* group, gchar* newname);
gboolean rubrica_group_change_pixmap (RubricaGroup* group, gchar* newpix);
gboolean rubrica_group_has_name      (RubricaGroup* group, gchar* name);

#endif
