/*
*  RAL -- Rubrica Addressbook Library
*  file: net.h
*  
*  Copyright (C) Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _RUBRICA_NET_ADDRESS_H
#define _RUBRICA_NET_ADDRESS_H

#include <glib.h>
#include <glib-object.h>
 

#define RUBRICA_NET_ADDRESS_TYPE         (rubrica_net_address_get_type())

#define RUBRICA_NET_ADDRESS(obj)         (G_TYPE_CHECK_INSTANCE_CAST((obj),\
                                          RUBRICA_NET_ADDRESS_TYPE,        \
                                          RubricaNetAddress))

#define RUBRICA_NET_ADDRESS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), \
                                          RUBRICA_NET_ADDRESS_TYPE,        \
                                          RubricaNetAddressClass))

#define IS_RUBRICA_NET_ADDRESS(obj)      (G_TYPE_CHECK_INSTANCE_TYPE((obj),\
                                          RUBRICA_NET_ADDRESS_TYPE))

#define IS_RUBRICA_NET_ADDRESS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),\
                                             RUBRICA_NET_ADDRESS_TYPE))

#define RUBRICA_NET_ADDRESS_GET_CLASS(kls) (G_TYPE_INSTANCE_GET_CLASS((kls), \
                                            RUBRICA_NET_ADDRESS_TYPE,        \
                                            RubricaNetAddressClass))


/**
 * RubricaNetAddress
 */ 
typedef struct _RubricaNetAddress        RubricaNetAddress;
typedef struct _RubricaNetAddressClass   RubricaNetAddressClass;
typedef struct _RubricaNetAddressPrivate RubricaNetAddressPrivate;



typedef enum {
  RUBRICA_NET_ADDRESS_WEB = 0,
  RUBRICA_NET_ADDRESS_EMAIL,
  RUBRICA_NET_ADDRESS_GNOMEMEETING,
  RUBRICA_NET_ADDRESS_IRC,
  RUBRICA_NET_ADDRESS_IRC_AIM,
  RUBRICA_NET_ADDRESS_IRC_ICQ,
  RUBRICA_NET_ADDRESS_IRC_JABBER,
  RUBRICA_NET_ADDRESS_IRC_YAHOO,
  RUBRICA_NET_ADDRESS_IRC_MSN,
  RUBRICA_NET_ADDRESS_UNKNOWN
} RubricaNetAddressType;



struct _RubricaNetAddress {
  GObject parent;

  RubricaNetAddressPrivate* private;
};


struct _RubricaNetAddressClass {
  GObjectClass parent;
};


GType              rubrica_net_address_get_type (void);


RubricaNetAddress* rubrica_net_address_new      (void);
void               rubrica_net_address_free     (RubricaNetAddress *net);

RubricaNetAddress* rubrica_net_address_copy     (RubricaNetAddress *net);

gchar* rubrica_net_address_decode_type (RubricaNetAddressType type);
RubricaNetAddressType rubrica_net_address_encode_type (gchar* type);


#endif
