/*
*  RAL -- Rubrica Addressbook Library
*  file: personal.h
*  
*  Copyright (C) Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _RUBRICA_PERSONAL_CARD_H
#define _RUBRICA_PERSONAL_CARD_H

#include <glib.h>
#include <glib-object.h>

#include "card.h"
#include "contact.h"
#include "work.h"
#include "notes.h"


#define RUBRICA_PERSONAL_CARD_TYPE       (rubrica_personal_card_get_type())

#define RUBRICA_PERSONAL_CARD(obj)       (G_TYPE_CHECK_INSTANCE_CAST((obj), \
                                          RUBRICA_PERSONAL_CARD_TYPE,       \
                                          RubricaPersonalCard))

#define RUBRICA_PERSONAL_CARD_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), \
                                            RUBRICA_PERSONAL_CARD_TYPE,      \
                                            RubricaPersonalCardClass))

#define IS_RUBRICA_PERSONAL_CARD(obj)  (G_TYPE_CHECK_INSTANCE_TYPE((obj),  \
                                        RUBRICA_PERSONAL_CARD_TYPE))

#define IS_RUBRICA_PERSONAL_CARD_CLASS(kls) (G_TYPE_CHECK_CLASS_TYPE((kls),  \
                                             RUBRICA_PERSONAL_CARD_TYPE))

#define RUBRICA_PERSONAL_CARD_GET_CLASS(kls) (G_TYPE_INSTANCE_GET_CLASS((kls),\
                                              RUBRICA_PERSONAL_CARD_TYPE,     \
                                              RubricaPersonalCardClass))



typedef struct _RubricaPersonalCard        RubricaPersonalCard;
typedef struct _RubricaPersonalCardClass   RubricaPersonalCardClass;
typedef struct _RubricaPersonalCardPrivate RubricaPersonalCardPrivate;


               
struct _RubricaPersonalCard 
{
  RubricaCard parent;

  RubricaPersonalCardPrivate* private;
};



struct _RubricaPersonalCardClass
{
  RubricaCardClass parent;
};



GType                rubrica_personal_card_get_type (void);

RubricaPersonalCard* rubrica_personal_card_new  (void);


RubricaContact* rubrica_personal_card_get_contact (RubricaPersonalCard* card);
RubricaWork*    rubrica_personal_card_get_work    (RubricaPersonalCard* card);
RubricaNotes*   rubrica_personal_card_get_notes   (RubricaPersonalCard* card);


void rubrica_personal_card_set_contact (RubricaPersonalCard* card, 
					RubricaContact* contact);
void rubrica_personal_card_set_work    (RubricaPersonalCard* card,
					RubricaWork* work);
void rubrica_personal_card_set_notes   (RubricaPersonalCard* card,
					RubricaNotes* notes);
#endif
