/*
*  RAL -- Rubrica Addressbook Library
*  file: save.h
*  
*  Copyright (C) Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _RUBRICA_SAVE_H
#define _RUBRICA_SAVE_H


#include <glib.h>
#include <libxml/tree.h>

#include "card.h"
#include "personal.h"
#include "company.h"



void rubrica_save_write_card      (RubricaCard *card, xmlNodePtr cardxml);

void rubrica_save_write_infos     (RubricaCard *card, xmlNodePtr cardxml);
 
void rubrica_save_write_group     (RubricaPersonalCard *card, xmlNodePtr node);
void rubrica_save_write_addresses (RubricaPersonalCard *card, xmlNodePtr node);
void rubrica_save_write_net       (RubricaPersonalCard *card, xmlNodePtr node);
void rubrica_save_write_telephone (RubricaPersonalCard *card, xmlNodePtr node);


void rubrica_save_write_contact   (RubricaPersonalCard *card, xmlNodePtr node);
void rubrica_save_write_work      (RubricaPersonalCard *card, xmlNodePtr node);
void rubrica_save_write_notes     (RubricaPersonalCard *card, xmlNodePtr node);

void rubrica_save_write_company   (RubricaCompanyCard *card, xmlNodePtr node);


#endif
