/*
*  RAL -- Rubrica Addressbook Library
*  file: telephone.h
*  
*  Copyright (C) Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _RUBRICA_TELEPHONE_H
#define _RUBRICA_TELEPHONE_H

#include <glib.h>
#include <glib-object.h>


#define RUBRICA_TELEPHONE_TYPE           (rubrica_telephone_get_type())

#define RUBRICA_TELEPHONE(obj)           (G_TYPE_CHECK_INSTANCE_CAST((obj), \
                                          RUBRICA_TELEPHONE_TYPE,           \
                                          RubricaTelephone))

#define RUBRICA_TELEPHONE_CLASS(klass)   (G_TYPE_CHECK_CLASS_CAST((klass),  \
                                          RUBRICA_TELEPHONE_TYPE,           \
                                          RubricaTelephoneClass))

#define IS_RUBRICA_TELEPHONE(obj)        (G_TYPE_CHECK_INSTANCE_TYPE((obj), \
                                          RUBRICA_TELEPHONE_TYPE))

#define IS_RUBRICA_TELEPHONE_CLASS(kls)  (G_TYPE_CHECK_CLASS_TYPE((kls),    \
                                          RUBRICA_TELEPHONE_TYPE))

#define RUBRICA_TELEPHONE_GET_CLASS(kls) (G_TYPE_INSTANCE_GET_CLASS((kls),  \
                                          RUBRICA_TELEPHONE_TYPE,           \
                                          RubricaTelephoneClass))


typedef struct _RubricaTelephone        RubricaTelephone;
typedef struct _RubricaTelephoneClass   RubricaTelephoneClass;
typedef struct _RubricaTelephonePrivate RubricaTelephonePrivate;


typedef enum {
  RUBRICA_TELEPHONE_HOME = 0,
  RUBRICA_TELEPHONE_WORK,
  RUBRICA_TELEPHONE_FAX,
  RUBRICA_TELEPHONE_CELLPHONE,
  RUBRICA_TELEPHONE_OTHER,
  RUBRICA_TELEPHONE_OPERATOR,
  RUBRICA_TELEPHONE_GREEN,
  RUBRICA_TELEPHONE_CUSTOMER_CARE,
  RUBRICA_TELEPHONE_UNKNOWN
} RubricaTelephoneType;


struct _RubricaTelephone {
  GObject parent;

  RubricaTelephonePrivate* private;
};


struct _RubricaTelephoneClass {
  GObjectClass parent;
};



GType             rubrica_telephone_get_type    (void);


RubricaTelephone* rubrica_telephone_new         (void);
void              rubrica_telephone_free        (RubricaTelephone *telephone);

RubricaTelephone* rubrica_telephone_copy        (RubricaTelephone *telephone);

gchar*               rubrica_telephone_decode_type (RubricaTelephoneType type);
RubricaTelephoneType rubrica_telephone_encode_type (gchar* type);

#endif
